include("common/map_classes.lua")

gfx.camPos.position = Vector3(360.644, 285.019, 7.95773)

streamer:addClass("top_gear/Track", ColClass, {castShadows=true,receiveShadows=true,renderingDistance=1200})
streamer:addClass("testville/Ramp", ColClass, {castShadows=true,receiveShadows=true,renderingDistance=400})
material "top_gear/Track" { diffuseMap="./Track.dds" }


streamer:addObject("top_gear/Track",0,0,0,{name="Track"})

streamer:addObject("vehicles/Evo", 373.216, 319.639, 0.367447, {rot=Quat(0.513846,-0.00418748,-0.00699078,0.857843), name="Evo"})
streamer:addObject("vehicles/Nova", 380.928, 304.287, 0.499735, {rot=Quat(0.587337,0.000964272,0.00132897,0.809341), name="Nova"})
streamer:addObject("vehicles/Seat", 395.226, 301.552, 0.458252, {rot=Quat(0.570174,-0.00253786,-0.00365739,0.821512), name="Seat"})
streamer:addObject("vehicles/Focus", 393.793, 308.779, 0.439494, {rot=Quat(0.579058,0.00123057,0.00173253,0.815284), name="Focus"})
streamer:addObject("vehicles/MotorBike", 391.083, 315.683, 0.59094, {rot=Quat(0.579058,0.00123057,0.00173253,0.815284), name="MotorBike"})

streamer:addObject("common/Barrier/Tyre", 34.3394, -16.9399, 0.15,     {name="ChicagoTyre00"})
streamer:addObject("common/Barrier/Tyre", 34.3394, -16.9399, 0.480034, {name="ChicagoTyre01"})
streamer:addObject("common/Barrier/Tyre", 36.6647, -17.3556, 0.15,     {name="ChicagoTyre02"})
streamer:addObject("common/Barrier/Tyre", 36.6647, -17.356, 0.480153,  {name="ChicagoTyre03"})
streamer:addObject("common/Barrier/Tyre", 36.6647, -17.3563, 0.81242,  {name="ChicagoTyre04"})
streamer:addObject("common/Barrier/Tyre", 36.6648, -17.3567, 1.14255,  {name="ChicagoTyre05"})
streamer:addObject("common/Barrier/Tyre", 36.6648, -17.357, 1.47302,   {name="ChicagoTyre06"})
streamer:addObject("common/Barrier/Tyre", 37.7698, -17.3255, 0.15,     {name="ChicagoTyre07"})
streamer:addObject("common/Barrier/Tyre", 37.7698, -17.3259, 0.480235, {name="ChicagoTyre08"})
streamer:addObject("common/Barrier/Tyre", 37.7698, -17.3262, 0.811546, {name="ChicagoTyre09"})
streamer:addObject("common/Barrier/Tyre", 37.7698, -17.3266, 1.1416,   {name="ChicagoTyre10"})
streamer:addObject("common/Barrier/Tyre", 38.8728, -17.3883, 0.15,     {name="ChicagoTyre11"})
streamer:addObject("common/Barrier/Tyre", 34.3394, -16.9399, 0.810082, {name="ChicagoTyre12"})
streamer:addObject("common/Barrier/Tyre", 38.8728, -17.3883, 0.480033, {name="ChicagoTyre13"})
streamer:addObject("common/Barrier/Tyre", 38.8728, -17.3883, 0.810081, {name="ChicagoTyre14"})
streamer:addObject("common/Barrier/Tyre", 38.8728, -17.3883, 1.14013,  {name="ChicagoTyre15"})
streamer:addObject("common/Barrier/Tyre", 39.9726, -17.7551, 0.15,     {name="ChicagoTyre16"})
streamer:addObject("common/Barrier/Tyre", 39.9726, -17.7551, 0.480034, {name="ChicagoTyre17"})
streamer:addObject("common/Barrier/Tyre", 39.9726, -17.7551, 0.810082, {name="ChicagoTyre18"})
streamer:addObject("common/Barrier/Tyre", 39.9726, -17.7551, 1.14014,  {name="ChicagoTyre19"})
streamer:addObject("common/Barrier/Tyre", 39.3083, -18.6284, 0.15,     {name="ChicagoTyre20"})
streamer:addObject("common/Barrier/Tyre", 39.3083, -18.6284, 0.480034, {name="ChicagoTyre21"})
streamer:addObject("common/Barrier/Tyre", 39.3083, -18.6284, 0.810082, {name="ChicagoTyre22"})
streamer:addObject("common/Barrier/Tyre", 34.3394, -16.9399, 1.14014,  {name="ChicagoTyre23"})
streamer:addObject("common/Barrier/Tyre", 39.3083, -18.6284, 1.14014,  {name="ChicagoTyre24"})
streamer:addObject("common/Barrier/Tyre", 39.3083, -18.6284, 1.47019,  {name="ChicagoTyre25"})
streamer:addObject("common/Barrier/Tyre", 37.3342, -18.5685, 0.15,     {name="ChicagoTyre26"})
streamer:addObject("common/Barrier/Tyre", 37.3338, -18.5626, 0.487208, {name="ChicagoTyre27"})
streamer:addObject("common/Barrier/Tyre", 37.3333, -18.5566, 0.824334, {name="ChicagoTyre28"})
streamer:addObject("common/Barrier/Tyre", 37.3329, -18.5506, 1.16126,  {name="ChicagoTyre29"})
streamer:addObject("common/Barrier/Tyre", 40.8476, -18.4312, 0.15,     {name="ChicagoTyre30"})
streamer:addObject("common/Barrier/Tyre", 40.8475, -18.4277, 0.485717, {name="ChicagoTyre31"})
streamer:addObject("common/Barrier/Tyre", 40.8473, -18.4241, 0.821049, {name="ChicagoTyre32"})
streamer:addObject("common/Barrier/Tyre", 40.8471, -18.4207, 1.15461,  {name="ChicagoTyre33"})
streamer:addObject("common/Barrier/Tyre", 34.3394, -16.9399, 1.47019,  {name="ChicagoTyre34"})
streamer:addObject("common/Barrier/Tyre", 40.847, -18.4172, 1.48812,   {name="ChicagoTyre35"})
streamer:addObject("common/Barrier/Tyre", 42.0407, -18.2557, 0.15,     {name="ChicagoTyre36"})
streamer:addObject("common/Barrier/Tyre", 42.0406, -18.2547, 0.482464, {name="ChicagoTyre37"})
streamer:addObject("common/Barrier/Tyre", 42.0404, -18.2536, 0.814222, {name="ChicagoTyre38"})
streamer:addObject("common/Barrier/Tyre", 35.5092, -17.3319, 0.15,     {name="ChicagoTyre39"})
streamer:addObject("common/Barrier/Tyre", 35.5092, -17.3319, 0.480034, {name="ChicagoTyre40"})
streamer:addObject("common/Barrier/Tyre", 35.5092, -17.3319, 0.810083, {name="ChicagoTyre41"})
streamer:addObject("common/Barrier/Tyre", 35.5092, -17.3319, 1.14014,  {name="ChicagoTyre42"})
streamer:addObject("common/Barrier/Tyre", 35.5092, -17.3319, 1.47019,  {name="ChicagoTyre43"})


-- vim: shiftwidth=8:tabstop=8:expandtab
