include "common/init.lua"
include "vehicles/init.lua"

mlockall()

local t = Timer()

--add_resource_location("gtasa/gta3.img.zip","Zip",false)
--add_resource_location("gtasa/gta_int.img.zip","Zip",false)
--add_resource_location("gtasa/meshes.zip","Zip",false)
--initialise_all_resource_groups()

streamer.visibility = 0.7

function mats()
        local t = Timer()
        include "gtasa/materials.lua"
        --read_matbin("gtasa/san_andreas.matbin",matbin_reader)
        echo("materials.lua: "..t.us/1000000 .." seconds")
end

mats()

t:reset()
include "gtasa/classes.lua"
echo("classes.lua: "..t.us/1000000 .." seconds")
t:reset()
include "gtasa/map.lua"
echo("map.lua: "..t.us/1000000 .." seconds")
include "gtasa/cars.lua"


function go_la()
        gfx:warp(Vector3(2312.48, -1621.77, 35.7562), Quat(0.870673,0.00683816,0.00386254,0.4918))
end

function go_vegas()
        gfx:warp(Vector3(1856.87, 1360.64, 60.1808), Quat(0.981828,-0.0473323,-0.00884934,0.183564))
end

function go_vegas2()
        gfx:warp(Vector3(1770.23, 2959.79, 41.6458), Quat(0.00732922,-0.000130489,-0.0178007,0.999815))
end

function go_sf()
        gfx:warp(Vector3(-2016.56, 884.951, 68.9321), Quat(0.868686,-0.051001,0.0288787,-0.491883))
end

function go_nowhere()
        gfx:warp(Vector3(0,0,-10000))
end


-- vim: shiftwidth=8:tabstop=8:expandtab
